main {
	margin-top: 1.5rem;
}

.level-nav {
	display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    margin: 1.5rem auto 1rem auto;
}
.level-nav a {
	display: inline-flex;
	align-items: center;
	gap: 0.375rem;
	height: 100%;
	font-weight: 600;
	color: var(--font-color);
	text-decoration: none;
}
.level-nav a:hover {
	color: #912d00;
}
.previous-link {
	grid-column: 1;
	margin-right: auto;
	padding-right: 0.75rem;
}
.level-nav h2 {
	grid-column: 2;
    text-align: center;
    line-height: 1.5rem;
	text-wrap-style: pretty;
}
.next-link {
	grid-column: 3;
	margin-left: auto;
	padding-left: 0.75rem;
}
.previous-link img {
	transform: rotate(90deg);
}
.next-link img {
	transform: rotate(-90deg);
}

#answersContainer {
	display: flex;
	flex-direction: column;
	margin-top: 0.5rem;
}
#answersContainer > div {
	margin-top: 0.75rem;
	padding: 0.75rem;
	text-align: center;
	border-radius: 0.5rem;
	background-color: #fff;
}

#answersContainer h3 {
	color: #1b5ec9;
}
#answersContainer > div:nth-child(4n+2) h3 { color: #30862e; }
#answersContainer > div:nth-child(4n+3) h3 { color: #9f32ca; }
#answersContainer > div:nth-child(4n+4) h3 { color: #ba5a14; }

#answersContainer ul {
	position: relative;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 0.75rem;
	margin-top: 0.5rem;
	font-weight: 800;
	font-size: 0.875rem;
	line-height: 0.75rem;
	list-style-type: none;
}
#answersContainer li {
	padding: 0.25rem 0;
	opacity: 0.6;
	filter: blur(5px);
	transition: filter 0.15s ease-in-out, opacity 0.15s ease-in-out;
}
#answersContainer ul:has(input:checked) li, #answersContainer:has(#showAllAnswersCheckbox:checked) li {
	opacity: 1;
	filter: none;
}
#answersContainer .show-answers-item {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	cursor: pointer;
	font-weight: 600;
	opacity: 1;
	filter: none;
}
.show-answers-item input {
	position: absolute;
	top: 0;
	left: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
    margin: 0;
	cursor: pointer;
}
#answersContainer .show-answers-item:has(input:checked), #answersContainer:has(#showAllAnswersCheckbox:checked) .show-answers-item {
	opacity: 0;
}

#showAllAnswers {
	display: inline-flex;
	gap: 0.25rem;
	align-items: center;
	margin-left: auto;
	color: #000;
	font-weight: 600;
	cursor: pointer;
	user-select: none;
}
.switch {
	position: relative;
	display: inline-block;
	width: 36px;
	height: 22px;
}
.switch input {
	opacity: 0;
	width: 0;
	height: 0;
}
.slider {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	border-radius: 11px;
	background-color: #b2b7bb;
	transition: 0.075s ease-in-out;
}
.slider:before {
	position: absolute;
	content: "";
	height: 16px;
	width: 16px;
	left: 3px;
	bottom: 3px;
	border-radius: 50%;
	background-color: white;
	transition: 0.075s ease-in-out;
}
input:checked + .slider {
	background-color: #ff6724;
}
input:checked + .slider:before {
	transform: translateX(14px);
}


#about {
	margin: 2rem 0 0;
}
#about p {
	margin: 0.75rem 0 1rem;
}